# == Class: egg
#
# Full description of class egg here.
#
# === Parameters
#
# Document parameters here.
#
# [*sample_parameter*]
#   Explanation of what this parameter affects and what it defaults to.
#   e.g. "Specify one or more upstream ntp servers as an array. Defaults
#   to []."
#
# === Examples
#
# @example
#    class { 'egg':
#      sample_parameter => [ 'pool.ntp.org', 'ntp.local.company.com' ],
#    }
#
# === Authors
#
# Author Name <author.name@liu.se>
#
# === Copyright
#
# Copyright 2019 Linköping University
#
class egg (
) {
  include egg::nginx
  include egg::postgres
  include egg::nodejs

  server_firewall::address_set { 'liu_vpn':
    addresses => [
      '10.243.0.0/16',
    ],
  }

  firewalld_rich_rule { 'allow ssh via vpn':
    action  => 'accept',
    service => 'ssh',
    source  => { 'ipset' => 'liu_vpn_v4', },
    family  => 'ipv4',
    zone    => 'liu',
  }
}
